openssl 1.1.1 support in Apache mod_dispatcher

joaoantunescost

06-08-2019

The apache mod_dispatcher docs at Installing Dispatcher​ assert that only openssl 1.0.0 and 1.0.1 are supported.  According to the openssl project at https://www.openssl.org/source/ , both 1.0.0 and 1.0.1 are out of support.  Internally we are using mod_dispatcher with openssl 1.0.2 and it seems to work, but 1.0.2 is also going out of support on December 31st, 2019.

Will a future version of mod_dispatcher support openssl 1.1.1 ?

Accepted Solutions (1)

Accepted Solutions (1)

lmha

Employee

06-08-2019

Hi joaoantunescosta,

Adobe team is aware of the openssl EOL details.  We are working internally to implement support in Dispatcher for openssl 1.1.x -- Adobe internal ID reference is : DISP-813.

DISP-813 is still being worked on, however, please do bookmark [1] -- this document will be updated upon release.

I could not find the way to subscribe to receive Dispatcher newsletters/updates.

Regards,

Lisa

[1] AEM Dispatcher Release Notes

Answers (0)